Subject: bug#79205: closed (Package python-pylzma Fails to Build)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Aug 2025 08:29:02 +0000

Your message dated Thu, 14 Aug 2025 10:28:21 +0200
with message-id <aJ2eJR-7YKekkGMV@jurong>
and subject line Re: Package python-pylzma Fails to Build
has caused the debbugs.gnu.org bug report #79205,
regarding Package python-pylzma Fails to Build
to be marked as done.

(If you believe you have received this mail in error, please contact
[email-masked].)

-- 
79205: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79205
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Package python-pylzma Fails to Build
From: Benjamin <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 09 Aug 2025 16:22:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

The package python-pylzma fails to build on the latest Guix version. Here is my describe:

$ guix describe
Generation 35 Aug 09 2025 12:16:13 (current)
guix 798f28a
repository URL: https://git.guix.gnu.org/guix.git
branch: master commit: 798f28ab0d85e05c10ebf8f27cab9f17d3139fce

And here is what happens when you build the package:

$ guix build python-pylzma
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
The following derivation will be built:
/gnu/store/zrfb51dx39axi5j7c5yfs21p8jp74rbi-python-pylzma-0.5.0.drv
building /gnu/store/zrfb51dx39axi5j7c5yfs21p8jp74rbi-python-pylzma-0.5.0.drv...
starting phase `separate-from-pid1'
build process now running as PID 18
phase `separate-from-pid1' succeeded after 0.0 seconds
starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/69jv9g4jhj8jim6c2mm9xhnisii2lids-python-wrapper-3.11.11/bin:/gnu/store/jjsyhvwqi6iap8grjhzwz5hn11l4a94h-tar-1.35/bin:/gnu/store/pbq910s5v24i66fg9pa9829w3kgwvi9v-gzip-1.14/bin:/gnu/store/arw4gy73adpmxmwg6zld2261l2z1z53m-bzip2-1.0.8/bin:/gnu/store/pggysagp12zh08lc5njx4n537ri66wv5-file-5.46/bin:/gnu/store/mf9vyjxcpszg786y87xa9wh5gdvng5b9-diffutils-3.12/bin:/gnu/store/cfbhsba78zqsh43sr1j5wzpkx4za4d1k-patch-2.7.6/bin:/gnu/store/fgfyqpyba8p2mc9bzr4anp345r3frn3y-findutils-4.10.0/bin:/gnu/store/987f1hlandfwkssqq8nl3vyh895xfi7g-gawk-5.3.0/bin:/gnu/store/c7bvi4qnkfmhmx2v64nlas8zh5vd6am1-zstd-1.5.6/bin:/gnu/store/2ip4q546w8s07p9wlvc1f2m6pyb1avkq-sed-4.9/bin:/gnu/store/m6mz9i04v5gwpb25zy6pl52ni5anb5gd-grep-3.11/bin:/gnu/store/7mw3fbl9panfik8pllcw5nwvvl0w9ilz-xz-5.4.5/bin:/gnu/store/sq6nzcyxvw82dfpja7nc547fvkgi9vwh-coreutils-9.1/bin:/gnu/store/i3h0ckp8b13r70mdd6id1rqp85zyq07r-make-4.4.1/bin:/gnu/store/30hszyg5y5py69r4a8glc43w0zrdbr7k-bash-minimal-5.2.37/bin:/gnu/store/mqdd4rq99y4xspsl5navvfjhw0s8aswl-ld-wrapper-0/bin:/gnu/store/8v0fwk8dbnn018ryzi4c2371pkhnx4ks-binutils-2.44/bin:/gnu/store/jb4szkjkmlqdc92nnhxvm9ypq6hvk9vw-gcc-14.3.0/bin:/gnu/store/mprrfhb2cq6dwsxf6pgj1zmjincd4x5h-glibc-2.41/bin:/gnu/store/mprrfhb2cq6dwsxf6pgj1zmjincd4x5h-glibc-2.41/sbin:/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/bin'
environment variable `GUIX_PYTHONPATH' set to `/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/lib/python3.11/site-packages'
environment variable `PYTHONTZPATH' unset
environment variable `BASH_LOADABLES_PATH' unset
environment variable `C_INCLUDE_PATH' set to `/gnu/store/arw4gy73adpmxmwg6zld2261l2z1z53m-bzip2-1.0.8/include:/gnu/store/pggysagp12zh08lc5njx4n537ri66wv5-file-5.46/include:/gnu/store/987f1hlandfwkssqq8nl3vyh895xfi7g-gawk-5.3.0/include:/gnu/store/7mw3fbl9panfik8pllcw5nwvvl0w9ilz-xz-5.4.5/include:/gnu/store/i3h0ckp8b13r70mdd6id1rqp85zyq07r-make-4.4.1/include:/gnu/store/8v0fwk8dbnn018ryzi4c2371pkhnx4ks-binutils-2.44/include:/gnu/store/jb4szkjkmlqdc92nnhxvm9ypq6hvk9vw-gcc-14.3.0/include:/gnu/store/mprrfhb2cq6dwsxf6pgj1zmjincd4x5h-glibc-2.41/include:/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/include:/gnu/store/r48jwp9l28km0y3m19zhwf7g3bzf7xbj-linux-libre-headers-6.12.17/include'
environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/arw4gy73adpmxmwg6zld2261l2z1z53m-bzip2-1.0.8/include:/gnu/store/pggysagp12zh08lc5njx4n537ri66wv5-file-5.46/include:/gnu/store/987f1hlandfwkssqq8nl3vyh895xfi7g-gawk-5.3.0/include:/gnu/store/7mw3fbl9panfik8pllcw5nwvvl0w9ilz-xz-5.4.5/include:/gnu/store/i3h0ckp8b13r70mdd6id1rqp85zyq07r-make-4.4.1/include:/gnu/store/8v0fwk8dbnn018ryzi4c2371pkhnx4ks-binutils-2.44/include:/gnu/store/jb4szkjkmlqdc92nnhxvm9ypq6hvk9vw-gcc-14.3.0/include/c++:/gnu/store/jb4szkjkmlqdc92nnhxvm9ypq6hvk9vw-gcc-14.3.0/include:/gnu/store/mprrfhb2cq6dwsxf6pgj1zmjincd4x5h-glibc-2.41/include:/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/include:/gnu/store/r48jwp9l28km0y3m19zhwf7g3bzf7xbj-linux-libre-headers-6.12.17/include'
environment variable `OBJC_INCLUDE_PATH' set to `/gnu/store/arw4gy73adpmxmwg6zld2261l2z1z53m-bzip2-1.0.8/include:/gnu/store/pggysagp12zh08lc5njx4n537ri66wv5-file-5.46/include:/gnu/store/987f1hlandfwkssqq8nl3vyh895xfi7g-gawk-5.3.0/include:/gnu/store/7mw3fbl9panfik8pllcw5nwvvl0w9ilz-xz-5.4.5/include:/gnu/store/i3h0ckp8b13r70mdd6id1rqp85zyq07r-make-4.4.1/include:/gnu/store/8v0fwk8dbnn018ryzi4c2371pkhnx4ks-binutils-2.44/include:/gnu/store/jb4szkjkmlqdc92nnhxvm9ypq6hvk9vw-gcc-14.3.0/include:/gnu/store/mprrfhb2cq6dwsxf6pgj1zmjincd4x5h-glibc-2.41/include:/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/include:/gnu/store/r48jwp9l28km0y3m19zhwf7g3bzf7xbj-linux-libre-headers-6.12.17/include'
environment variable `OBJCPLUS_INCLUDE_PATH' set to `/gnu/store/arw4gy73adpmxmwg6zld2261l2z1z53m-bzip2-1.0.8/include:/gnu/store/pggysagp12zh08lc5njx4n537ri66wv5-file-5.46/include:/gnu/store/987f1hlandfwkssqq8nl3vyh895xfi7g-gawk-5.3.0/include:/gnu/store/7mw3fbl9panfik8pllcw5nwvvl0w9ilz-xz-5.4.5/include:/gnu/store/i3h0ckp8b13r70mdd6id1rqp85zyq07r-make-4.4.1/include:/gnu/store/8v0fwk8dbnn018ryzi4c2371pkhnx4ks-binutils-2.44/include:/gnu/store/jb4szkjkmlqdc92nnhxvm9ypq6hvk9vw-gcc-14.3.0/include/c++:/gnu/store/jb4szkjkmlqdc92nnhxvm9ypq6hvk9vw-gcc-14.3.0/include:/gnu/store/mprrfhb2cq6dwsxf6pgj1zmjincd4x5h-glibc-2.41/include:/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/include:/gnu/store/r48jwp9l28km0y3m19zhwf7g3bzf7xbj-linux-libre-headers-6.12.17/include'
environment variable `LIBRARY_PATH' set to `/gnu/store/arw4gy73adpmxmwg6zld2261l2z1z53m-bzip2-1.0.8/lib:/gnu/store/pggysagp12zh08lc5njx4n537ri66wv5-file-5.46/lib:/gnu/store/987f1hlandfwkssqq8nl3vyh895xfi7g-gawk-5.3.0/lib:/gnu/store/7mw3fbl9panfik8pllcw5nwvvl0w9ilz-xz-5.4.5/lib:/gnu/store/8v0fwk8dbnn018ryzi4c2371pkhnx4ks-binutils-2.44/lib:/gnu/store/mprrfhb2cq6dwsxf6pgj1zmjincd4x5h-glibc-2.41/lib:/gnu/store/0999vrimj22xr8qpqggqawk4nhginpyq-glibc-2.41-static/lib:/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/mprrfhb2cq6dwsxf6pgj1zmjincd4x5h-glibc-2.41/lib/locale'
environment variable `TZDIR' unset
phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
using 'C.UTF-8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
pylzma-0.5.0/
pylzma-0.5.0/src/
pylzma-0.5.0/src/pylzma/
pylzma-0.5.0/src/pylzma/pylzma.c
pylzma-0.5.0/src/pylzma/pylzma_decompressobj_compat.c
pylzma-0.5.0/src/pylzma/pylzma_decompress_compat.h
pylzma-0.5.0/src/pylzma/pylzma_compress.h
pylzma-0.5.0/src/pylzma/pylzma_streams.h
pylzma-0.5.0/src/pylzma/pylzma_compressobj.c
pylzma-0.5.0/src/pylzma/pylzma_decompress.h
pylzma-0.5.0/src/pylzma/pylzma_decompressobj_compat.h
pylzma-0.5.0/src/pylzma/pylzma_decompress.c
pylzma-0.5.0/src/pylzma/pylzma_decompress_compat.c
pylzma-0.5.0/src/pylzma/pylzma_aes.h
pylzma-0.5.0/src/pylzma/pylzma_compress.c
pylzma-0.5.0/src/pylzma/pylzma_decompressobj.h
pylzma-0.5.0/src/pylzma/pylzma_compressobj.h
pylzma-0.5.0/src/pylzma/pylzma_aes.c
pylzma-0.5.0/src/pylzma/pylzma_compressfile.h
pylzma-0.5.0/src/pylzma/pylzma_compressfile.c
pylzma-0.5.0/src/pylzma/pylzma_streams.c
pylzma-0.5.0/src/pylzma/pylzma_decompressobj.c
pylzma-0.5.0/src/pylzma/pylzma.h
pylzma-0.5.0/src/compat/
pylzma-0.5.0/src/compat/LzmaCompatDecode.h
pylzma-0.5.0/src/compat/LzmaCompatDecode.c
pylzma-0.5.0/src/compat/copying.txt
pylzma-0.5.0/src/sdk/
pylzma-0.5.0/src/sdk/DOC/
pylzma-0.5.0/src/sdk/DOC/lzma-specification.txt
pylzma-0.5.0/src/sdk/DOC/lzma.txt
pylzma-0.5.0/src/sdk/DOC/7zC.txt
pylzma-0.5.0/src/sdk/DOC/lzma-sdk.txt
pylzma-0.5.0/src/sdk/DOC/7zFormat.txt
pylzma-0.5.0/src/sdk/DOC/history.txt
pylzma-0.5.0/src/sdk/DOC/installer.txt
pylzma-0.5.0/src/sdk/DOC/lzma-history.txt
pylzma-0.5.0/src/sdk/DOC/Methods.txt
pylzma-0.5.0/src/sdk/C/
pylzma-0.5.0/src/sdk/C/Sort.c
pylzma-0.5.0/src/sdk/C/7zVersion.h
pylzma-0.5.0/src/sdk/C/Aes.h
pylzma-0.5.0/src/sdk/C/MtCoder.c
pylzma-0.5.0/src/sdk/C/7zCrcOpt.c
pylzma-0.5.0/src/sdk/C/LzFindMt.h
pylzma-0.5.0/src/sdk/C/Aes.c
pylzma-0.5.0/src/sdk/C/XzDec.c
pylzma-0.5.0/src/sdk/C/Delta.h
pylzma-0.5.0/src/sdk/C/Bcj2Enc.c
pylzma-0.5.0/src/sdk/C/7zArcIn.c
pylzma-0.5.0/src/sdk/C/XzEnc.c
pylzma-0.5.0/src/sdk/C/Xz.h
pylzma-0.5.0/src/sdk/C/7zDec.c
pylzma-0.5.0/src/sdk/C/LzmaDec.c
pylzma-0.5.0/src/sdk/C/RotateDefs.h
pylzma-0.5.0/src/sdk/C/Lzma2Enc.c
pylzma-0.5.0/src/sdk/C/BraIA64.c
pylzma-0.5.0/src/sdk/C/Compiler.h
pylzma-0.5.0/src/sdk/C/Lzma2Enc.h
pylzma-0.5.0/src/sdk/C/Bra.h
pylzma-0.5.0/src/sdk/C/Alloc.c
pylzma-0.5.0/src/sdk/C/7zStream.c
pylzma-0.5.0/src/sdk/C/XzEnc.h
pylzma-0.5.0/src/sdk/C/Util/
pylzma-0.5.0/src/sdk/C/Util/LzmaLib/
pylzma-0.5.0/src/sdk/C/Util/LzmaLib/LzmaLibExports.c
pylzma-0.5.0/src/sdk/C/Util/7z/
pylzma-0.5.0/src/sdk/C/Util/7z/Precomp.c
pylzma-0.5.0/src/sdk/C/Util/7z/Precomp.h
pylzma-0.5.0/src/sdk/C/Util/7z/7zMain.c
pylzma-0.5.0/src/sdk/C/Util/SfxSetup/
pylzma-0.5.0/src/sdk/C/Util/SfxSetup/Precomp.c
pylzma-0.5.0/src/sdk/C/Util/SfxSetup/Precomp.h
pylzma-0.5.0/src/sdk/C/Util/SfxSetup/SfxSetup.c
pylzma-0.5.0/src/sdk/C/Util/Lzma/
pylzma-0.5.0/src/sdk/C/Util/Lzma/LzmaUtil.c
pylzma-0.5.0/src/sdk/C/Lzma86Enc.c
pylzma-0.5.0/src/sdk/C/Threads.h
pylzma-0.5.0/src/sdk/C/Lzma2DecMt.c
pylzma-0.5.0/src/sdk/C/LzFindMt.c
pylzma-0.5.0/src/sdk/C/LzmaEnc.h
pylzma-0.5.0/src/sdk/C/7zCrc.c
pylzma-0.5.0/src/sdk/C/XzIn.c
pylzma-0.5.0/src/sdk/C/DllSecur.h
pylzma-0.5.0/src/sdk/C/7zFile.c
pylzma-0.5.0/src/sdk/C/7zAlloc.c
pylzma-0.5.0/src/sdk/C/7zBuf2.c
pylzma-0.5.0/src/sdk/C/Bcj2.c
pylzma-0.5.0/src/sdk/C/7zTypes.h
pylzma-0.5.0/src/sdk/C/Lzma86.h
pylzma-0.5.0/src/sdk/C/Bra86.c
pylzma-0.5.0/src/sdk/C/Precomp.h
pylzma-0.5.0/src/sdk/C/LzmaEnc.c
pylzma-0.5.0/src/sdk/C/Bcj2.h
pylzma-0.5.0/src/sdk/C/LzFind.c
pylzma-0.5.0/src/sdk/C/MtCoder.h
pylzma-0.5.0/src/sdk/C/Sha256.h
pylzma-0.5.0/src/sdk/C/XzCrc64.h
pylzma-0.5.0/src/sdk/C/Delta.c
pylzma-0.5.0/src/sdk/C/CpuArch.c
pylzma-0.5.0/src/sdk/C/Sort.h
pylzma-0.5.0/src/sdk/C/Threads.c
pylzma-0.5.0/src/sdk/C/XzCrc64.c
pylzma-0.5.0/src/sdk/C/Lzma86Dec.c
pylzma-0.5.0/src/sdk/C/AesOpt.c
pylzma-0.5.0/src/sdk/C/Alloc.h
pylzma-0.5.0/src/sdk/C/Ppmd7.h
pylzma-0.5.0/src/sdk/C/Ppmd7Enc.c
pylzma-0.5.0/src/sdk/C/Ppmd.h
pylzma-0.5.0/src/sdk/C/7zBuf.c
pylzma-0.5.0/src/sdk/C/LzmaLib.c
pylzma-0.5.0/src/sdk/C/DllSecur.c
pylzma-0.5.0/src/sdk/C/Ppmd7Dec.c
pylzma-0.5.0/src/sdk/C/LzmaDec.h
pylzma-0.5.0/src/sdk/C/Xz.c
pylzma-0.5.0/src/sdk/C/Lzma2DecMt.h
pylzma-0.5.0/src/sdk/C/Ppmd7.c
pylzma-0.5.0/src/sdk/C/7zCrc.h
pylzma-0.5.0/src/sdk/C/Bra.c
pylzma-0.5.0/src/sdk/C/7zAlloc.h
pylzma-0.5.0/src/sdk/C/7zFile.h
pylzma-0.5.0/src/sdk/C/7zBuf.h
pylzma-0.5.0/src/sdk/C/LzmaLib.h
pylzma-0.5.0/src/sdk/C/Sha256.c
pylzma-0.5.0/src/sdk/C/MtDec.h
pylzma-0.5.0/src/sdk/C/XzCrc64Opt.c
pylzma-0.5.0/src/sdk/C/LzHash.h
pylzma-0.5.0/src/sdk/C/MtDec.c
pylzma-0.5.0/src/sdk/C/Lzma2Dec.c
pylzma-0.5.0/src/sdk/C/LzFind.h
pylzma-0.5.0/src/sdk/C/Lzma2Dec.h
pylzma-0.5.0/src/sdk/C/7z.h
pylzma-0.5.0/src/sdk/C/CpuArch.h
pylzma-0.5.0/README.md
pylzma-0.5.0/LICENSE
pylzma-0.5.0/ez_setup.py
pylzma-0.5.0/MANIFEST.in
pylzma-0.5.0/doc/
pylzma-0.5.0/doc/USAGE.md
pylzma-0.5.0/doc/THANKS.md
pylzma-0.5.0/CHANGELOG.md
pylzma-0.5.0/tests/
pylzma-0.5.0/tests/test_pylzma.py
pylzma-0.5.0/tests/data/
pylzma-0.5.0/tests/data/github_43.7z
pylzma-0.5.0/tests/data/bugzilla_16.7z
pylzma-0.5.0/tests/data/solid.7z
pylzma-0.5.0/tests/data/non_solid.7z
pylzma-0.5.0/tests/data/bzip2.7z
pylzma-0.5.0/tests/data/github_37_dummy.7z
pylzma-0.5.0/tests/data/github_14.7z
pylzma-0.5.0/tests/data/copy.7z
pylzma-0.5.0/tests/data/encrypted.7z
pylzma-0.5.0/tests/data/encrypted-names.7z
pylzma-0.5.0/tests/data/deflate.7z
pylzma-0.5.0/tests/data/encrypted-short.7z
pylzma-0.5.0/tests/data/umlaut-solid.7z
pylzma-0.5.0/tests/data/empty.7z
pylzma-0.5.0/tests/data/regress_1.7z
pylzma-0.5.0/tests/data/test-issue-43.7z
pylzma-0.5.0/tests/data/github_14_multi.7z
pylzma-0.5.0/tests/data/github_33.7z
pylzma-0.5.0/tests/data/github_53.7z
pylzma-0.5.0/tests/data/umlaut-non_solid.7z
pylzma-0.5.0/tests/data/bugzilla_4.7z
pylzma-0.5.0/tests/data/deflate64.7z
pylzma-0.5.0/tests/__init__.py
pylzma-0.5.0/tests/test_7zfiles.py
pylzma-0.5.0/tests/test_usage.py
pylzma-0.5.0/tests/test_compatibility.py
pylzma-0.5.0/RELEASE-VERSION
pylzma-0.5.0/PKG-INFO
pylzma-0.5.0/scripts/
pylzma-0.5.0/scripts/pylzma.spec
pylzma-0.5.0/scripts/ci-install.sh
pylzma-0.5.0/setup.cfg
pylzma-0.5.0/py7zlib.py
pylzma-0.5.0/version.py
pylzma-0.5.0/pylzma.egg-info/
pylzma-0.5.0/pylzma.egg-info/dependency_links.txt
pylzma-0.5.0/pylzma.egg-info/requires.txt
pylzma-0.5.0/pylzma.egg-info/SOURCES.txt
pylzma-0.5.0/pylzma.egg-info/not-zip-safe
pylzma-0.5.0/pylzma.egg-info/top_level.txt
pylzma-0.5.0/pylzma.egg-info/PKG-INFO
pylzma-0.5.0/setup.py
phase `unpack' succeeded after 0.0 seconds
starting phase `ensure-no-mtimes-pre-1980'
phase `ensure-no-mtimes-pre-1980' succeeded after 0.0 seconds
starting phase `enable-bytecode-determinism'
phase `enable-bytecode-determinism' succeeded after 0.0 seconds
starting phase `ensure-no-cythonized-files'
phase `ensure-no-cythonized-files' succeeded after 0.0 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.0 seconds
starting phase `patch-source-shebangs'
patch-shebang: ./ez_setup.py: changing `/usr/bin/env python' to `/gnu/store/69jv9g4jhj8jim6c2mm9xhnisii2lids-python-wrapper-3.11.11/bin/python'
patch-shebang: ./py7zlib.py: changing `/usr/bin/python' to `/gnu/store/69jv9g4jhj8jim6c2mm9xhnisii2lids-python-wrapper-3.11.11/bin/python'
patch-shebang: ./scripts/ci-install.sh: changing `/bin/bash' to `/gnu/store/30hszyg5y5py69r4a8glc43w0zrdbr7k-bash-minimal-5.2.37/bin/bash'
patch-shebang: ./setup.py: changing `/usr/bin/python' to `/gnu/store/69jv9g4jhj8jim6c2mm9xhnisii2lids-python-wrapper-3.11.11/bin/python'
patch-shebang: ./tests/test_7zfiles.py: changing `/usr/bin/python' to `/gnu/store/69jv9g4jhj8jim6c2mm9xhnisii2lids-python-wrapper-3.11.11/bin/python'
patch-shebang: ./tests/test_compatibility.py: changing `/usr/bin/python' to `/gnu/store/69jv9g4jhj8jim6c2mm9xhnisii2lids-python-wrapper-3.11.11/bin/python'
patch-shebang: ./tests/test_pylzma.py: changing `/usr/bin/python' to `/gnu/store/69jv9g4jhj8jim6c2mm9xhnisii2lids-python-wrapper-3.11.11/bin/python'
patch-shebang: ./tests/test_usage.py: changing `/usr/bin/python' to `/gnu/store/69jv9g4jhj8jim6c2mm9xhnisii2lids-python-wrapper-3.11.11/bin/python'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `build'
running "python setup.py" with command "build" and parameters ()
running build
running build_py
creating build
creating build/lib.linux-x86_64-cpython-311
copying py7zlib.py -> build/lib.linux-x86_64-cpython-311
warning: build_py: byte-compiling is disabled, skipping.

running build_ext
setup.py:105: UnsupportedPlatformWarning: Multithreading is not supported on the platform "linux",
please contact [email-masked] for more informations.
warn("""\
building 'pylzma' extension
creating build/temp.linux-x86_64-cpython-311
creating build/temp.linux-x86_64-cpython-311/src
creating build/temp.linux-x86_64-cpython-311/src/compat
creating build/temp.linux-x86_64-cpython-311/src/pylzma
creating build/temp.linux-x86_64-cpython-311/src/sdk
creating build/temp.linux-x86_64-cpython-311/src/sdk/C
gcc -DNDEBUG -g -fwrapv -O3 -Wall -fno-semantic-interposition -fPIC -DPY_SSIZE_T_CLEAN=1 -DWITH_COMPAT=1 -DPYLZMA_VERSION=0.5.0 -D_7ZIP_ST=1 -Isrc/sdk/C -I/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/include/python3.11 -c src/compat/LzmaCompatDecode.c -o build/temp.linux-x86_64-cpython-311/src/compat/LzmaCompatDecode.o
gcc -DNDEBUG -g -fwrapv -O3 -Wall -fno-semantic-interposition -fPIC -DPY_SSIZE_T_CLEAN=1 -DWITH_COMPAT=1 -DPYLZMA_VERSION=0.5.0 -D_7ZIP_ST=1 -Isrc/sdk/C -I/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/include/python3.11 -c src/pylzma/pylzma.c -o build/temp.linux-x86_64-cpython-311/src/pylzma/pylzma.o
src/pylzma/pylzma.c: In function ‘PyInit_pylzma’:
src/pylzma/pylzma.c:296:5: warning: ‘PyEval_InitThreads’ is deprecated
296 | PyEval_InitThreads();
| ^~~~~~~~~~~~~~~~~~
In file included from /gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/include/python3.11/Python.h:95,
from src/pylzma/pylzma.c:26:
/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/include/python3.11/ceval.h:132:37: note: declared here
132 | Py_DEPRECATED(3.9) PyAPI_FUNC(void) PyEval_InitThreads(void);
| ^~~~~~~~~~~~~~~~~~
gcc -DNDEBUG -g -fwrapv -O3 -Wall -fno-semantic-interposition -fPIC -DPY_SSIZE_T_CLEAN=1 -DWITH_COMPAT=1 -DPYLZMA_VERSION=0.5.0 -D_7ZIP_ST=1 -Isrc/sdk/C -I/gnu/store/c5qarpvwzcz1idryvvpiqd7738jn4rs1-python-3.11.11/include/python3.11 -c src/pylzma/pylzma_aes.c -o build/temp.linux-x86_64-cpython-311/src/pylzma/pylzma_aes.o
src/pylzma/pylzma_aes.c:158:5: error: initialization of ‘long int’ from ‘void *’ makes integer from pointer without a cast
158 | NULL, /* printfunc tp_print; */
| ^~~~
src/pylzma/pylzma_aes.c:158:5: note: (near initialization for ‘CAESDecrypt_Type.tp_vectorcall_offset’)
error: command '/gnu/store/jb4szkjkmlqdc92nnhxvm9ypq6hvk9vw-gcc-14.3.0/bin/gcc' failed with exit code 1
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "python" arguments: ("-c" "import setuptools, tokenize;__file__='setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\\r\\n', '\\n');f.close();exec(compile(code, __file__, 'exec'))" "build") exit-status: 1 term-signal: #f stop-signal: #f>
phase `build' failed after 0.5 seconds
command "python" "-c" "import setuptools, tokenize;__file__='setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\\r\\n', '\\n');f.close();exec(compile(code, __file__, 'exec'))" "build" failed with status 1
build process 18 exited with status 256
builder for `/gnu/store/zrfb51dx39axi5j7c5yfs21p8jp74rbi-python-pylzma-0.5.0.drv' failed with exit code 1
build of /gnu/store/zrfb51dx39axi5j7c5yfs21p8jp74rbi-python-pylzma-0.5.0.drv failed
View build log at '/var/log/guix/drvs/zr/fb51dx39axi5j7c5yfs21p8jp74rbi-python-pylzma-0.5.0.drv.gz'.
guix build: error: build of `/gnu/store/zrfb51dx39axi5j7c5yfs21p8jp74rbi-python-pylzma-0.5.0.drv' failed

Subject: Re: Package python-pylzma Fails to Build
From: Andreas Enge <[email-masked]>
To: Benjamin <[email-masked]>
Cc: [email-masked]
Date: Thu, 14 Aug 2025 10:28:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Wed, Aug 13, 2025 at 09:12:58PM +0000 schrieb Benjamin:
> Thank you! Putting me as a co-author is fine with me. I will look into 630+ versions at some point and I will prioritize trying to update this in Guix rather than just in my own set up whenever I do.

Great! It should be the same effort, actually.

Andreas